cd "C:\Users\Benjamin\Desktop\AEJ Policy Submission Files\Data\"

use "analysis_state_police_2014.dta", clear

local controls y_* 



gen weight=.098 if fips==16
replace weight=.089 if fips==32
replace weight=.781 if fips==53
replace weight=.022 if fips==54
replace weight=1 if fips==41

areg sworn_vmt treatment `controls' , a(fips) robust 
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

keep if year>1999
areg sworn_vmt treatment `controls' , a(fips) robust 
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | state=="WA", a(fips) robust
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' [pweight=weight], a(fips) robust
margins, eydx(treatment) atmeans


drop if state=="AK" | state=="HI"

rename state st_abr
rename state_name state

rename sworn sworn_leoka


merge 1:1 state year using "state_police_census_2014" 

gen diff=sworn-calls
bysort state: egen min_diff=min(diff)
replace diff=min_diff

gen ratio=calls/sworn

gen adj_sworn=(sworn_leoka-diff)/tot_vmt

sum ratio

keep if year>1999
areg adj_sworn treatment `controls' , a(fips) robust 
margins, eydx(treatment) atmeans

areg adj_sworn treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

areg adj_sworn treatment `controls' if oregon==1 | st_abr=="WA", a(fips) robust
margins, eydx(treatment) atmeans

areg adj_sworn treatment `controls' [pweight=weight], a(fips) robust
margins, eydx(treatment) atmeans


gen before=0 if year==2000
replace before=1 if year==2004
bysort before: sum sworn_leoka sworn if oregon==1

