
clear
clear matrix
set more off
set mem 2g


cd "C:\Users\T800\Documents\My Dropbox\State Police\"
*cd "C:\Users\Benjamin\Dropbox\State Police\"

use "leoka_state_police"

merge m:1 state using state_fips
keep if _merge==3
drop _merge

merge 1:1 state_name year using "C:\Users\T800\Desktop\Awesome Data\Speeding\Speeding\AllData\state_VMT1.dta"

gen oregon=0
replace oregon=1 if fips==41

gen counter=0
replace counter=1 if fips==16 | fips==53 

keep if year>1978 & year<2006

gen sworn_vmt=sworn/tot_vmt

collapse (mean) sworn_vmt sworn oregon counter  tot_vmt,by(year state fips state_name)

gen treatment=0
replace treatment=1 if year>2002 & oregon==1


*drop if state=="SD" | state=="TN" | state=="TX" | state=="MD" | state=="FL" | state=="CA" | state=="NY"



local controls  y_* un_rate 



tab year, gen(y_)

drop if state==""
*tsset fips year

*replace sworn=sworn[_n+1]/2+sworn[_n-1]/2 if year==2000 & sworn==. 

replace sworn_vmt=sworn/tot_vmt
*replace sworn=sworn[_n+1] if state=="OR" & year>1999
*replace sworn=562 if year==2005 & state=="OR"
replace sworn_vmt=sworn/tot_vmt

local controls y_* 

keep if year>=1992

areg sworn_vmt treatment `controls' , a(fips) robust cluster(state)
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

keep if year>1999
areg sworn_vmt treatment `controls' , a(fips) robust 
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

areg sworn_vmt treatment `controls' if oregon==1 | state=="WA", a(fips) robust
margins, eydx(treatment) atmeans


drop if state=="AK" | state=="HI"

rename state st_abr
rename state_name state

rename sworn sworn_leoka


merge 1:1 state year using "state_police_census" 

rename state state_name

rename st_abr state
drop _merge

keep if year>1999

drop if state==""

merge 1:1 state year using "tri_state"

rename state st_abr

gen diff=sworn-calls
bysort state: egen min_diff=min(diff)
replace diff=min_diff

gen ratio=calls/sworn

gen adj_sworn=(sworn_leoka-diff)/tot_vmt

sum ratio

gen weight=.098 if fips==16
replace weight=.089 if fips==32
replace weight=.781 if fips==53
replace weight=.022 if fips==54
replace weight=1 if fips==41

keep if year>1999
gen before=0 if year==2000
replace before=1 if year==2004
bysort before: sum sworn_leoka sworn if oregon==1

*replace troopers=262 if st_abr=="ID" & year==2003
*replace troopers=231 if st_abr=="ID" & year==2004
*replace troopers=279 if st_abr=="ID" & year==2005

gen troop_vmt=troopers/tot_vmt



replace adj_sworn=adj_sworn*tot_vmt

sum troopers 
bysort before: sum sworn_leoka sworn adj_sworn troopers diff calls if oregon==1 
bysort before: sum sworn_leoka sworn adj_sworn troopers diff calls if st_abr=="WA" 

gen sworn_2000=sworn_leoka if year==2000
bysort fips: egen min_leoka=max(sworn_2000)

gen sworn_base=100*sworn_leoka/min_leoka

gen troop_2000=troopers if year==2000
bysort fips: egen min_troop=max(troop_2000)
gen troop_base=100*troopers/min_troop


#delimit ;
twoway (tsline sworn_base if fips==41, scheme(s1mono) lcolor(black) lwidth(thick) ttitle(Year) ytitle("Sworn State Police") title("Sworn State Police""LEOKA 2000-2005") legend(label(1 "OR") label(2 "Other States") order(1 2))) 
(tsline sworn_base if fips==16)
(tsline sworn_base if fips==53, lcolor(gray))
(tsline sworn_base if fips==6, lcolor(gray))
(tsline sworn_base if fips==1, lcolor(gray))
(tsline sworn_base if fips==4, lcolor(gray))
(tsline sworn_base if fips==5, lcolor(gray))
(tsline sworn_base if fips==8, lcolor(gray))
(tsline sworn_base if fips==9, lcolor(gray))
(tsline sworn_base if fips==10, lcolor(gray))
(tsline sworn_base if fips==12, lcolor(gray))
(tsline sworn_base if fips==13, lcolor(gray))
(tsline sworn_base if fips==16, lcolor(gray))
(tsline sworn_base if fips==17, lcolor(gray))
(tsline sworn_base if fips==18, lcolor(gray))
(tsline sworn_base if fips==19, lcolor(gray))
(tsline sworn_base if fips==20, lcolor(gray))
(tsline sworn_base if fips==21, lcolor(gray))
(tsline sworn_base if fips==22, lcolor(gray))
(tsline sworn_base if fips==23, lcolor(gray))
(tsline sworn_base if fips==24, lcolor(gray))
(tsline sworn_base if fips==25, lcolor(gray))
(tsline sworn_base if fips==26, lcolor(gray))
(tsline sworn_base if fips==27, lcolor(gray))
(tsline sworn_base if fips==28, lcolor(gray))
(tsline sworn_base if fips==29, lcolor(gray))
(tsline sworn_base if fips==30, lcolor(gray))
(tsline sworn_base if fips==31, lcolor(gray))
(tsline sworn_base if fips==33, lcolor(gray))
(tsline sworn_base if fips==34, lcolor(gray))
(tsline sworn_base if fips==35, lcolor(gray))
(tsline sworn_base if fips==36, lcolor(gray))
(tsline sworn_base if fips==37, lcolor(gray))
(tsline sworn_base if fips==38, lcolor(gray))
(tsline sworn_base if fips==39, lcolor(gray))
(tsline sworn_base if fips==40, lcolor(gray))
(tsline sworn_base if fips==42, lcolor(gray))
(tsline sworn_base if fips==44, lcolor(gray))
(tsline sworn_base if fips==45, lcolor(gray))
(tsline sworn_base if fips==46, lcolor(gray))
(tsline sworn_base if fips==47, lcolor(gray))
(tsline sworn_base if fips==48, lcolor(gray))
(tsline sworn_base if fips==49, lcolor(gray))
(tsline sworn_base if fips==50, lcolor(gray))
(tsline sworn_base if fips==51, lcolor(gray))
(tsline sworn_base if fips==54, lcolor(gray))
(tsline sworn_base if fips==55, lcolor(gray))
(tsline sworn_base if fips==56, lcolor(gray))

;
graph save first_OR_US.gph, replace
;
twoway (tsline sworn_base if fips==41, scheme(s1mono) lcolor(black) lwidth(thick) ttitle(Year) ytitle("Sworn State Police") title("Sworn State Police""LEOKA 2000-2005") legend(label(1 "OR") label(2 "ID") label(3 "WA"))) 
(tsline sworn_base if fips==16, lpattern(dash))
(tsline sworn_base if fips==53, lcolor(gray))
;
graph save first_wa_ID_OR.gph, replace
;

twoway (tsline troop_base if fips==41, scheme(s1mono) lcolor(black) lwidth(thick) ttitle(Year) ytitle("Sworn State Troopers") title("Sworn State Troopers""Administrative Data 2000-2005") legend(label(1 "OR") label(2 "ID") label(3 "WA"))) 
(tsline troop_base if fips==16, lpattern(dash))
(tsline troop_base if fips==53, lcolor(gray))
;
graph save first_troop.gph, replace
;

#delimit cr
graph combine first_OR_US.gph first_wa_ID_OR.gph first_troop.gph, scheme(s1mono) col(1) ysize(9)

graph combine first_OR_US.gph first_troop.gph, scheme(s1mono) col(1) ysize(7) note("Based on data from the LEOKA or adminstrative records.  Police employment""levels are scaled relative to 2000 as a base year. The trend lines for Oregon""are solid black in both Figures.") 
graph export "police_oregon.eps", replace

graph combine first_OR_US.gph first_wa_ID_OR.gph first_troop.gph, scheme(s1mono) col(1) ysize(10)  ycommon note("Based on data from the LEOKA or adminstrative records.  Police employment""levels are scaled relative to 2000 as a base year. The trend lines for Oregon""are solid black in all Figures.") 
graph export "police_oregon_v2.eps", replace
