set more off

cd "C:\Users\Benjamin\Desktop\AEJ Policy Submission Files\Data\"

use "analysis_injury_2014.dta", clear



foreach x in incaps non_incaps out_incaps out_non_incaps incap non_incap out_incap out_non_incap {

di "`x'"
quietly areg `x' treatment y_1-y_5 mon_1-mon_11 precip temp un_rate,a(fips) robust 
margins, eydx(treatment) atmeans

poisson `x' treatment y_1-y_5 st_2 st_3 mon_1-mon_11 precip temp un_rate , vce(robust)
lincom treatment 

}

areg incap_acc treatment y_* mon_* precip temp un_rate, a(fips) robust
margins, eydx(treatment) atmeans
areg non_incap_acc treatment y_* mon_* precip temp un_rate, a(fips) robust
margins, eydx(treatment) atmeans

areg out_incap_acc treatment y_* mon_* precip temp un_rate, a(fips) robust
margins, eydx(treatment) atmeans
areg out_non_incap_acc treatment y_* mon_* precip temp un_rate, a(fips) robust
margins, eydx(treatment) atmeans



sum fat_vmt incaps non_incaps sworn_vmt if fips==41 & year<2003
sum fat_vmt incaps non_incaps sworn_vmt if fips!=41 & year<2003
sum fat_vmt incaps non_incaps sworn_vmt if fips!=41 

foreach x in incaps non_incaps out_incaps out_non_incaps incap non_incap out_incap out_non_incap {
replace `x'=`x'*tot_vmt
}








label variable out_non_incaps "Visible"
label variable out_incaps "Incap."
label variable fatal_out "Deaths"

replace fips=53 if fips==16



collapse (mean) out_non_incaps out_incaps fatal_out mn_yr, by(fips month year) 

tsset fips mn_yr
label variable out_non_incaps "Visible"
label variable out_incaps "Incap."
label variable fatal_out "Deaths"


tsline out_non_incaps out_incaps fatal_out if fips==41,  xline(0) scheme(s1mono) title("Oregon") ttitle("Months Prior to Layoff") lpattern(solid dash dot)
graph save oregon_injuries.gph, replace

tsline out_non_incaps out_incaps fatal_out if fips==53, xline(0) scheme(s1mono) title("Washington and Idaho") ttitle("Months Prior to Layoff") lpattern(solid dash dot)
graph save washington_injuries.gph, replace



graph combine oregon_injuries.gph washington_injuries.gph, col(1) ysize(8) scheme(s1mono) title("Injuries on Highways in OR, WA, and ID") subtitle("Outside City Limits""Dry Weather Conditions")

graph export diff_diff.emf, replace
graph export diff_diff.eps, replace
graph export diff_diff.png, replace

